Name:           python-s3-browser
Version:        0.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An interactive tool to browse s3 like a regular directory structure

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/giftig/s3-browser/
Source:         %{pypi_source s3_browser}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 's3-browser' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-s3-browser
Summary:        %{summary}

%description -n python3-s3-browser %_description


%prep
%autosetup -p1 -n s3_browser-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-s3-browser -f %{pyproject_files}


%changelog
%autochangelog